import React from 'react';

interface NodeLinkIconProps {
  className?: string;
}

export const NodeLinkIcon: React.FC<NodeLinkIconProps> = ({ className }) => (
  <svg className={className} viewBox="0 0 156 168" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="M 36,134 C 79.025555,111.33333 122.05111,88.666665 165.07666,66"
      transform="translate(-22,-16)"
    />
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 36,66 c 43.109232,22.825501 86.21846,45.651 107.81642,57.06375 21.59797,11.41275 21.68463,11.41275 21.77131,11.41275"
      transform="translate(-22,-16)"
    />
    <path stroke="hsl(var(--clr-sec--300))" strokeWidth="4" d="m 100,30 c 0,46.666667 0,93.33333 0,140" transform="translate(-22,-16)" />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      cx="14"
      cy="118"
      r="13"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
    />
    <circle
      className="group-hover:fill-accent"
      cx="78"
      cy="84"
      r="13"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2.5"
    />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      cx="142"
      cy="118"
      r="13"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
    />
    <circle cx="142" cy="50" r="13" fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" strokeWidth="2" />
    <circle cx="14" cy="50" r="13" fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" strokeWidth="2" />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      cx="78"
      cy="154"
      r="13"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
    />
    <circle cx="78" cy="14" r="13" fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" strokeWidth="2" />
  </svg>
);
