import React from 'react';

interface PaohIconProps {
  className?: string;
}

export const PaohIcon: React.FC<PaohIconProps> = ({ className }) => (
  <svg className={className} width="162" height="162" viewBox="0 0 162 162" fill="none">
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 141.0011,22.804124 c 0.0512,39.372273 0.10236,78.744546 0.15354,118.116816"
    />
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 61,21 c -0.03093,26.640333 -0.06185,53.280665 -0.09278,79.921"
      transform="translate(-40)"
    />
    <circle fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" cx="21" cy="21" r="13" strokeWidth="2" />
    <circle fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" cx="141.0011" cy="20.989611" r="13" strokeWidth="2" />
    <circle fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" cx="141" cy="140.92094" r="13" strokeWidth="2" />
    <circle fill="hsl(var(--clr-sec--300))" stroke="hsl(var(--clr-sec--300))" cx="21" cy="100.921" r="13" strokeWidth="2" />
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 61,21 c -0.03093,26.640333 -0.06185,53.280665 -0.09278,79.921"
      transform="translate(20)"
    />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      cx="81"
      cy="21"
      r="13"
      strokeWidth="2"
    />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      cx="81"
      cy="100.92098"
      r="13"
      strokeWidth="2"
    />
  </svg>
);
