import React from 'react';

interface SemSubsIconProps {
  className?: string;
}

export const SemSubsIcon: React.FC<SemSubsIconProps> = ({ className }) => (
  <svg width="162" height="162" viewBox="0 0 162 162" fill="none" className={className}>
    <path
      className="group-hover:stroke-accent"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 81.645319,35.719827 c 9.414684,16.096093 18.829371,32.192186 24.557601,47.498843 5.72824,15.306658 7.76994,29.8233 9.81169,44.34024"
    />
    <path
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="4"
      d="m 40.420673,38.536083 c 7.212311,14.154638 14.424478,28.308995 15.945557,43.314818 1.521079,15.005823 -2.649052,30.861909 -6.819267,46.718319 -1.274914,-0.53158 -2.549805,-1.06314 -3.824742,-1.59473"
    />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      cx="34.744846"
      cy="-81"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
      r="13"
      transform="rotate(90)"
    />
    <circle
      cx="34.744846"
      cy="-124.13937"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
      r="13"
      transform="rotate(90)"
    />
    <circle
      className="group-hover:fill-accent group-hover:stroke-accent"
      cx="127.55891"
      cy="-116.01461"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
      r="13"
      transform="rotate(90)"
    />
    <circle
      cx="34.744846"
      cy="-37.86063"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
      r="13"
      transform="rotate(90)"
    />
    <circle
      cx="127.55891"
      cy="-49.287418"
      fill="hsl(var(--clr-sec--300))"
      stroke="hsl(var(--clr-sec--300))"
      strokeWidth="2"
      r="13"
      transform="rotate(90)"
    />
  </svg>
);
